
#ifndef _INCLUDE_HANDLER_SHARED__H_
#define _INCLUDE_HANDLER_SHARED__H_

#include <function/function_for_handler.h>

typedef struct
{
	FunctionForHandler* (*get_function)();
	int (*private_to_index)(const void *pdata);
	void* (*index_to_private)(int index);
	int (*entvar_to_index)(entvars_t *pev);
	entvars_t* (*index_to_entvar)(int index);

} HandlerShared;

#endif
